package com.xtd.project.assets.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.xtd.framework.aspectj.lang.annotation.Excel;
import com.xtd.framework.web.domain.BaseEntity;

import java.util.ArrayList;
import java.util.List;

/**
 * 资产调拨对象 db_assets_stock_allot
 *
 * @author xtd
 * @date 2020-04-20
 */
public class DbAssetsStockAllot extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long aId;

    /** 调出部门id */
    @Excel(name = "调出部门id")
    private Long depOutId;

    /** 调出人id */
    @Excel(name = "调出人id")
    private Long leadOutUserId;

    /** 领用人id */
    @Excel(name = "领用人id")
    private Long leadUserId;

    /** 领用部门id */
    @Excel(name = "领用部门id")
    private Long depId;

    /** 领用物资表 */
    private List<Long> stockValue =new ArrayList<>();

    /** 流程id */
    @Excel(name = "流程id")
    private String instanceId;
    /**
     * 任务id
     */
    private String taskId;



    /** 状态 0审核中 1 审核不通过 2审核通过 */
    @Excel(name = "状态 0审核中 1 审核不通过 2审核通过")
    private Integer state;

    private String createUser;

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public List<Long> getStockValue() {
        return stockValue;
    }

    public void setStockValue(List<Long> stockValue) {
        this.stockValue = stockValue;
    }

    public void setaId(Long aId)
    {
        this.aId = aId;
    }

    public Long getaId()
    {
        return aId;
    }
    public void setDepOutId(Long depOutId)
    {
        this.depOutId = depOutId;
    }

    public Long getDepOutId()
    {
        return depOutId;
    }
    public void setLeadOutUserId(Long leadOutUserId)
    {
        this.leadOutUserId = leadOutUserId;
    }

    public Long getLeadOutUserId()
    {
        return leadOutUserId;
    }
    public void setDepId(Long depId)
    {
        this.depId = depId;
    }

    public Long getDepId()
    {
        return depId;
    }
    public void setLeadUserId(Long leadUserId)
    {
        this.leadUserId = leadUserId;
    }

    public Long getLeadUserId()
    {
        return leadUserId;
    }
    public void setInstanceId(String instanceId)
    {
        this.instanceId = instanceId;
    }

    public String getInstanceId()
    {
        return instanceId;
    }
    public void setState(Integer state)
    {
        this.state = state;
    }

    public Integer getState()
    {
        return state;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("aId", getaId())
            .append("depOutId", getDepOutId())
            .append("leadOutUserId", getLeadOutUserId())
            .append("depId", getDepId())
            .append("leadUserId", getLeadUserId())
            .append("remark", getRemark())
            .append("instanceId", getInstanceId())
            .append("state", getState())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }

    public String getCreateUser() {
        return createUser;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }
}
